Package org.apache.solr.client.solrj.response

# Class IntervalFacet

java.lang.Object
org.apache.solr.client.solrj.response.IntervalFacet

public class IntervalFacet extends Object
Objects of this class will contain the result of all the intervals defined for a specific field.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`IntervalFacet.Count`
Holds counts for facet intervals defined in a field

## Method Summary

Modifier and Type
Method
Description
`String`
`getField()`
`List<IntervalFacet.Count>`
`getIntervals()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getField

public String getField()

Returns:
  The field for which interval facets where calculated

### getIntervals

public List<IntervalFacet.Count> getIntervals()

Returns:
  The list of interval facets calculated for `field`